/*
* @file hv_drv_UsbStorageScsi.h
* @brief Header file of usb scsi.
*
* @author HiView SoC Software Team
* @version 1.0.0
* @date 2022-06-15
*/

#ifndef __HV_DRV_USB_STORAGE_SCSI_H
#define __HV_DRV_USB_STORAGE_SCSI_H

#include "hv_drv_UsbStorageCommonScsi.h"
#include "hv_drv_UsbStorageUmass.h"

extern int reidentify_scsi_device(struct scsi_device *dev);
extern struct scsi_device *create_scsi_device(struct us_data *us);
extern int scsi_scan(struct scsi_device *dev);
extern void scsi_remove(struct scsi_device *dev);

#endif  /* __SCSI_H */
